修正依頼中出庫一覧取得
GET
/shipping_modification_requests
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipping_modification_requests?fields=shippingId%2CreceivingStoreId&sort=shippingId&limit=10&page=2&receiving_store_id=2&shipping_store_id=1&identification_no=123456789&modification_request_date=2025-01-01';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipping_modification_requests?fields=shippingId%2CreceivingStoreId&sort=shippingId&limit=10&page=2&receiving_store_id=2&shipping_store_id=1&identification_no=123456789&modification_request_date=2025-01-01'修正依頼中の出庫情報一覧を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
shippingId,receivingStoreIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- shippingId:出庫ID
- shippingStoreId:出庫店舗ID
- receivingStoreId:入庫店舗ID
- receivingDesiredDate:入庫希望日:[YYYY-MM-DD]
- receivingExpectedDateFrom:入庫予定日From:[YYYY-MM-DD]
- receivingExpectedDateTo:入庫予定日To:[YYYY-MM-DD]
- shippingDate:出庫日:[YYYY-MM-DD]
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
shippingIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2receiving_store_id
string
入庫店舗ID
Example
2shipping_store_id
string
出庫店舗ID
Example
1identification_no
string
識別番号:出庫/入庫情報を管理するための任意の文字列を設定出来る項目。
Example
123456789modification_request_date
string format: date
修正依頼日:[YYYY-MM-DD]
Example
2025-01-01Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
shippingId
出庫ID
string
receivingStoreId
入庫店舗ID
string
shippingStoreId
出庫店舗ID
string
receivingDesiredDate
入庫希望日:[YYYY-MM-DD]
string format: date
receivingExpectedDateFrom
入庫予定日From:[YYYY-MM-DD]
string format: date
receivingExpectedDateTo
入庫予定日To:[YYYY-MM-DD]
string format: date
shippingDate
出庫日:[YYYY-MM-DD]
string format: date
staffId
スタッフID
string
requestStaffId
出庫依頼スタッフID
string
memo
メモ
string
identificationNo
識別番号:出庫/入庫情報を管理するための任意の文字列を設定出来る項目。
string
status
状態:出庫/入庫の状況を設定。
0: 未出庫1: 未入庫2: 入庫検品中3: 入庫完了
string
approvalStatus
承認ステータス
0: 未承認1: 承認済2: 承認拒否3: 依頼未承認
string
approvalDateTime
承認日時:出荷承認日時/承認拒否日時。未設定の場合null
string format: date-time
modificationRequestStatus
修正依頼ステータス:出庫情報の修正依頼ステータスを設定。
0: 修正依頼なし1: 修正依頼あり2: 修正完了
string
modificationRequestDateTime
修正依頼日時:修正依頼を行った日時を設定。未設定の場合null
string format: date-time
modificationRequestCheckedDateTime
修正依頼確認完了日時:修正依頼ステータスが修正完了になった日時を設定。未設定の場合null
string format: date-time
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string format: date-time
Example
[ { "shippingId": "9", "receivingStoreId": "2", "shippingStoreId": "1", "receivingDesiredDate": null, "receivingExpectedDateFrom": "2025-01-01", "receivingExpectedDateTo": "2025-01-02", "shippingDate": "2025-01-01", "staffId": "1", "requestStaffId": null, "memo": "修正依頼メモ", "identificationNo": "123456789", "status": "2", "approvalStatus": "1", "approvalDateTime": "2025-01-01T00:00:00+09:00", "modificationRequestStatus": "1", "modificationRequestDateTime": "2025-01-01T00:01:00+09:00", "modificationRequestCheckedDateTime": null, "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:01:00+09:00" }]